# Python imports

# Lib imports
import gi
gi.require_version('Gtk', '3.0')
from gi.repository import Gtk

# Application imports
from ..widgets.image_list import ImageList



class ImageListScroll(Gtk.ScrolledWindow):
    def __init__(self):
        super(ImageListScroll, self).__init__()

        self._setup_styling()
        self._setup_signals()
        self._load_widgets()

        self.show_all()


    def _setup_styling(self):
        self.set_vexpand(True)

    def _setup_signals(self):
        ...

    def _load_widgets(self):
        viewport = Gtk.Viewport()
        viewport.add(ImageList())
        self.add(viewport)
